com.lowagie.text

## Interface LargeElement

All Superinterfaces:
  Element

All Known Implementing Classes:
  Chapter, ChapterAutoNumber, PdfPTable, Section, Table

    public interface LargeElement
    extends Element

Interface implemented by Element objects that can potentially consume a lot of memory. Objects implementing the LargeElement interface can be added to a Document more than once. If you have invoked setComplete(false), they will be added partially and the content that was added will be removed until you've invoked setComplete(true);

Since:
  iText 2.0.8

### Field Summary

### Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

### Method Summary

Methods
`void` `flushContent()` Flushes the content that has been added.
`boolean` `isComplete()` Indicates if the element is complete or not.
`void` `setComplete(boolean complete)` If you invoke setComplete(false), you indicate that the content of the object isn't complete yet; it can be added to the document partially, but more will follow.

### Methods inherited from interface com.lowagie.text.Element

`getChunks, isContent, isNestable, process, toString, type`

### Method Detail

#### setComplete

    void setComplete(boolean complete)

If you invoke setComplete(false), you indicate that the content of the object isn't complete yet; it can be added to the document partially, but more will follow. If you invoke setComplete(true), you indicate that you won't add any more data to the object.

Parameters:
  `complete` - false if you'll be adding more data after adding the object to the document.
Since:
  iText 2.0.8

#### isComplete

    boolean isComplete()

Indicates if the element is complete or not.

Returns:
  indicates if the element is complete according to the user.
Since:
  iText 2.0.8

#### flushContent

    void flushContent()

Flushes the content that has been added.